TDRERECORD(1)

NAME
tdrerecord - rerecord output of a terminal program

SYNOPSIS
tdrerecord [OPTIONS] RECORDING

DESCRIPTION
tdrerecord re-records the output of a terminal program, by replaying the input from a recording. This allows a new recording to created based on the same input, after modifying the behaviour of the program. Without options, tdrerecord will create the recording in the file tdrecord-year-month-day@hour:minute:second.

Note that tdrerecord does not check whether the output conforms to the recorded output. This can be dangerous as the input may not be in sync with the output. Depending on the possible actions of the program being run this can cause data corruption.

OPTIONS
tdrerecord accepts the following options:

-h, --help
    Display a short help message.

-V, --version
    Print version and copyright information.

-d dir, --directory=dir
    Create the recording in directory dir. This option can not be used together with the -o/--output option.

-o file, --output=file
    Save the output in file. This option can not be used togehter with the -d/--directory option.

-l, --no-strip-location-reports
    Do not remove ANSI cursor location reports from the recorded client input. These reports are normally generated on request by the client program. Including these in the client input will result in duplicate location reports which is likely to confuse the client. However, in some cases it may be necessary to retain these strings (e.g. if they were not generated in response to a client request).

To stop tdrerecord from interpreting file names that start with a dash as options, one can specify a double dash (--) after which tdrerecord will interpret any following arguments as files to read.

BUGS
If you think you have found a bug, please check that you are using the latest version of termdebug <http://os.ghalkes.nl/termdebug>. When reporting bugs, please include a minimal example that demonstrates the problem.

AUTHOR
G.P. Halkes <termdebug@ghalkes.nl>

COPYRIGHT
Copyright © 2010,2012-2013 G.P. Halkes
termdebug is licensed under the GNU General Public License version 3.
For more details on the license, see the file COPYING in the documentation directory. On Un*x systems this is usually /usr/share/doc/termdebug.

SEE ALSO
termdebug(1), tdrecord(1), tdreplay(1), tdview(1), tdcompare(1)